$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.53.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.53.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'FE385483BF90E9125EFFBAFFF4D683167D07E4F96F468951FBECB4664699B517'
  checksumType = 'sha256'
  checksum64 = 'FE385483BF90E9125EFFBAFFF4D683167D07E4F96F468951FBECB4664699B517'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.53-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
